﻿@{
    Layout = null;
}

<ul>
    <li id="{{section.ElementId}}" name="{{section.Name}}" class="accordion {{section.Type}} {{section.CurrentMode}} size-{{section.Size}}"
        ng-repeat="section in Model.JbForm.Elements" ng-if="section.CurrentMode !='Hidden'">
        <div class="accordion-frame">
            <a class="heading" ng-hide="JbElement.Operate.IsSectionTitleEditing(section)">{{section.Title}}</a>
            <div class="content" ng-class="{'block':!JbForm.EditMode}">
                <ul>
                    <li id="{{element.ElementId}}" name="{{element.Name}}" data-parent-section="{{section.ElementId}}"
                     
                        ng-repeat="element in section.Elements" 
                        ng-if="element.CurrentMode !='Hidden'" ng-class="['JbElement', 'animation', '{{element.Type}}','{{element.CurrentMode}}', 'size-{{element.Size}}',{'element_width-third':element.Width=='Third' && (element.Type!='JbAddress' && element.Type!='USCFInfo' && element.Type!='JbRadioList' && element.Type!='JbCheckBox') && JbForm.EditMode==false,'element_width-half':element.Width=='Half' && (element.Type!='JbAddress' && element.Type!='USCFInfo' && element.Type!='JbRadioList' && element.Type!='JbCheckBox'),'element_width-full':element.Width=='Full'}]">
                    
                        <div class="preview-mode">
                            <div ng-if="element.Type == 'JbTextBox'">
                                <div class="JbElement-preview">
                                    <label class="title" ng-class="{'req-star' : element.IsRequired}">{{element.Title}} <span ng-if="element.HelpText != null && element.HelpText != ''" href="" jb-popover class="popover-link" role="button" data-toggle="popover" data-trigger="focus" data-container="body" rel="popover" data-placement="top" data-content="{{element.HelpText}}" data-original-title="" title=""></span></label>
                                    <div class="input-control text" data-role="input-control">
                                        <input disabled ng-bind="element.Value" type="text">
                                    </div>
                                </div>
                                <div class="clearfix"></div>
                            </div>

                            <div ng-if="element.Type == 'JbDatePicker'">
                                <div class="JbElement-preview">
                                    <label class="title" ng-class="{'req-star' : element.IsRequired}">{{element.Title}} <span ng-if="element.HelpText != null && element.HelpText != ''" href="" jb-popover class="popover-link" role="button" data-toggle="popover" data-trigger="focus" data-container="body" rel="popover" data-placement="top" data-content="{{element.HelpText}}" data-original-title="" title=""></span></label>
                                    <div class="input-control text" data-role="input-control">
                                        <input disabled ng-bind="element.Value" ui-mask="99/99/9999" type="text">
                                    </div>
                                </div>
                                <div class="clearfix"></div>
                            </div>

                            <div ng-if="element.Type == 'JbTextArea'">
                                <div class="JbElement-preview">
                                    <label class="title" ng-class="{'req-star' : element.IsRequired}">{{element.Title}} <span ng-if="element.HelpText != null && element.HelpText != ''" href="" jb-popover class="popover-link" role="button" data-toggle="popover" data-trigger="focus" data-container="body" rel="popover" data-placement="top" data-content="{{element.HelpText}}" data-original-title="" title=""></span></label>
                                    <div class="input-control textarea" data-role="input-control">
                                        <textarea disabled ng-bind="element.Value"></textarea>
                                    </div>
                                </div>
                                <div class="clearfix"></div>
                            </div>

                            <div ng-if="element.Type == 'JbParagraph'">
                                <div class="JbElement-preview">
                                    <label class="title" ng-class="{'req-star' : element.IsRequired}">{{element.Title}} <span ng-if="element.HelpText != null && element.HelpText != ''" href="" jb-popover class="popover-link" role="button" data-toggle="popover" data-trigger="focus" data-container="body" rel="popover" data-placement="top" data-content="{{element.HelpText}}" data-original-title="" title=""></span></label>
                                    <p>{{element.Value}}</p>
                                </div>
                                <div class="clearfix"></div>
                            </div>

                            <div ng-if="element.Type == 'JbTextEditor'">
                                <div ng-bind-html="element.Value | unsafe"></div>
                                <div class="clearfix"></div>
                            </div>

                            <div ng-if="element.Type == 'JbNumber'">
                                <div class="JbElement-preview">
                                    <label class="title" ng-class="{'req-star' : element.IsRequired}">{{element.Title}} <span ng-if="element.HelpText != null && element.HelpText != ''" href="" jb-popover class="popover-link" role="button" data-toggle="popover" data-trigger="focus" data-container="body" rel="popover" data-placement="top" data-content="{{element.HelpText}}" data-original-title="" title=""></span></label>
                                    <div class="input-control text" data-role="input-control">
                                        <input disabled ng-bind="element.Value" type="text">
                                    </div>
                                </div>
                                <div class="clearfix"></div>
                            </div>

                            <div ng-if="element.Type == 'JbEmail'">
                                <div class="JbElement-preview">
                                    <label class="title" ng-class="{'req-star' : element.IsRequired}">{{element.Title}} <span ng-if="element.HelpText != null && element.HelpText != ''" href="" jb-popover class="popover-link" role="button" data-toggle="popover" data-trigger="focus" data-container="body" rel="popover" data-placement="top" data-content="{{element.HelpText}}" data-original-title="" title=""></span></label>
                                    <div class="input-control text" data-role="input-control">
                                        <input disabled ng-bind="element.Value" type="text">
                                    </div>
                                </div>
                                <div class="clearfix"></div>
                            </div>

                            <div ng-if="element.Type == 'JbCheckBox'">
                                <div class="JbElement-preview">
                                    <div class="input-control checkbox no-margin">
                                        <label class="title" ng-class="{'req-star' : element.IsRequired}">
                                            <input name="Value" disabled ng-bind="element.Value" type="checkbox" />
                                            <span class="check"></span>
                                            {{element.Title}} <span ng-if="element.HelpText != null && element.HelpText != ''" href="" jb-popover class="popover-link" role="button" data-toggle="popover" data-trigger="focus" data-container="body" rel="popover" data-placement="top" data-content="{{element.HelpText}}" data-original-title="" title=""></span>
                                        </label>
                                    </div>
                                </div>
                                <div class="clearfix"></div>
                            </div>

                            <div ng-if="element.Type == 'JbAddress'">
                                <div class="JbElement-preview">
                                    <label class="title" ng-class="{'req-star' : element.IsRequired}">{{element.Title}} <span ng-if="element.HelpText != null && element.HelpText != ''" href="" jb-popover class="popover-link" role="button" data-toggle="popover" data-trigger="focus" data-container="body" rel="popover" data-placement="top" data-content="{{element.HelpText}}" data-original-title="" title=""></span></label>
                                    <label ng-class="{'req-star' : element.IsRequired}">Line 1</label>
                                    <div class="input-control text" data-role="input-control">
                                        <input disabled ng-bind="element.Line1" type="text">
                                    </div>
                                    <label>Line 2</label>
                                    <div class="input-control text" data-role="input-control">
                                        <input disabled ng-bind="element.Line2" type="text">
                                    </div>
                                    <div class="place-left padding-right10 one-half">
                                        <label ng-class="{'req-star' : element.IsRequired}">City</label>
                                        <div class="input-control text" data-role="input-control">
                                            <input disabled ng-bind="element.City" type="text">
                                        </div>
                                    </div>
                                    <div class="place-left padding-left10 one-half">
                                        <label ng-class="{'req-star' : element.IsRequired}">ZIP<span ng-if="element.AddressType == 'INTERNATIONAL'">/Postal code</span></label>
                                        <div class="input-control text" data-role="input-control">
                                            <input disabled ng-bind="element.ZIP" type="text">
                                        </div>
                                    </div>
                                    <div class="place-left padding-right10 one-half">
                                        <label ng-class="{'req-star' : element.IsRequired}">State<span ng-if="element.AddressType == 'INTERNATIONAL'">/Province</span></label>
                                        <div class="input-control text" data-role="input-control">
                                            <input disabled ng-bind="element.State" type="text">
                                        </div>
                                    </div>
                                 
                                    <div class="place-left padding-left10 one-half" >
                                        <label ng-class="{'req-star' : element.IsRequired}">Country</label>
                                        <div class="input-control text">
                                            <input disabled ng-bind="element.Country" type="text">
                                        </div>
                                    </div>
                                </div>
                                <div class="clearfix"></div>
                            </div>

                            <div ng-if="element.Type == 'JbPhone'">
                                <div class="JbElement-preview">
                                    <label class="title" ng-class="{'req-star' : element.IsRequired}">{{element.Title}} <span ng-if="element.HelpText != null && element.HelpText != ''" href="" jb-popover class="popover-link" role="button" data-toggle="popover" data-trigger="focus" data-container="body" rel="popover" data-placement="top" data-content="{{element.HelpText}}" data-original-title="" title=""></span></label>
                                    <div class="input-control text" data-role="input-control">
                                        <input disabled ng-bind="element.Value" type="text">
                                    </div>
                                </div>
                                <div class="clearfix"></div>
                            </div>

                            <div ng-if="element.Type == 'JbDropDown'">
                                <div class="JbElement-preview">
                                    <label class="title" ng-class="{'req-star' : element.IsRequired}">{{element.Title}} <span ng-if="element.HelpText != null && element.HelpText != ''" href="" jb-popover class="popover-link" role="button" data-toggle="popover" data-trigger="focus" data-container="body" rel="popover" data-placement="top" data-content="{{element.HelpText}}" data-original-title="" title=""></span></label>
                                    <div class="input-control select" data-role="input-control">
                                        <select disabled>
                                            <option ng-repeat="itam in element.Items">{{itam.Text}}</option>
                                        </select>
                                    </div>
                                </div>
                                <div class="clearfix"></div>
                            </div>

                            <div ng-if="element.Type == 'JbRadioList'">
                                <div class="JbElement-preview">
                                    <label class="title" ng-class="{'req-star' : element.IsRequired}">{{element.Title}} <span ng-if="element.HelpText != null && element.HelpText != ''" href="" jb-popover class="popover-link" role="button" data-toggle="popover" data-trigger="focus" data-container="body" rel="popover" data-placement="top" data-content="{{element.HelpText}}" data-original-title="" title=""></span></label>
                                    <span ng-if="element.HelpText != null && element.HelpText != ''" href="" jb-popover class="popover-link" role="button" data-toggle="popover" data-trigger="focus" data-container="body" rel="popover" data-placement="top" data-content="{{element.HelpText}}" data-original-title="" title=""></span>
                                    <div class="place-left two-third JbElement-preview">
                                        <div class="input-control radio no-margin" ng-repeat="item in element.Items">
                                            <label class="title">
                                                <input name="Value" disabled ng-bind="item.Value" type="radio" />
                                                <span class="check"></span>
                                                {{item.Text}}
                                            </label>
                                        </div>
                                    </div>
                                </div>
                                <div class="clearfix"></div>
                            </div>

                            <div ng-if="element.Type == 'JbSignature'">
                                <div class="JbElement-preview">
                                    <label class="title" ng-class="{'req-star' : element.IsRequired}">{{element.Title}} <span ng-if="element.HelpText != null && element.HelpText != ''" href="" jb-popover class="popover-link" role="button" data-toggle="popover" data-trigger="focus" data-container="body" rel="popover" data-placement="top" data-content="{{element.HelpText}}" data-original-title="" title=""></span></label>
                                    <div class="input-control signature bg-white" data-role="input-control">
                                        <div class="padding-top20 padding-bottom10">
                                            <div class="bd-gray padding-top20 border-bottom"></div>
                                            <div class="padding-top10"></div>
                                        </div>
                                    </div>
                                </div>
                                <div class="clearfix"></div>
                            </div>

                            <div ng-if="element.IsCustomElement">
                                <div class="JbElement-preview">
                                    <label class="title" ng-class="{'req-star' : element.IsRequired}">{{element.Title}} <span ng-if="element.HelpText != null && element.HelpText != ''" href="" jb-popover class="popover-link" role="button" data-toggle="popover" data-trigger="focus" data-container="body" rel="popover" data-placement="top" data-content="{{element.HelpText}}" data-original-title="" title=""></span></label>
                                    <div class="input-control text" data-role="input-control">
                                        <input disabled value="No preview" type="text">
                                    </div>
                                </div>
                                <div class="clearfix"></div>
                            </div>
                        </div>
                    </li>
                    <li class="clearfix"></li>
                </ul>
            </div>
        </div>
    </li>
</ul>